Package ru.bitel.bgbilling.plugins.dispatch.common.bean.condition

# Class DispatchContractStatusCondition

java.lang.Object
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition
ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.DispatchContractStatusCondition

All Implemented Interfaces:
  `java.io.Serializable`

    public class DispatchContractStatusCondition
    extends DispatchCondition

Условие отправки по статусу договора. Устанавливается список статусов.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DispatchContractStatusCondition()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `deserializePart​(org.w3c.dom.Element element)` |
  `java.util.Set<java.lang.Integer>` | `getStatus()` | Получение списка статусов для данного условия отправки.
  `protected void` | `serializePart​(org.w3c.dom.Element element)` |
  `void` | `setStatus​(java.util.Set<java.lang.Integer> status)` | Установка выбранных статусов.

  ### Methods inherited from class ru.bitel.bgbilling.plugins.dispatch.common.bean.condition.base.DispatchCondition

  `deserialize, getClassName, getModuleId, serialize, setModuleId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DispatchContractStatusCondition

    public DispatchContractStatusCondition()

- ## Method Details

  - ### getStatus

    public java.util.Set<java.lang.Integer> getStatus()
    Получение списка статусов для данного условия отправки.
    Returns:

  - ### setStatus

    public void setStatus​(java.util.Set<java.lang.Integer> status)
    Установка выбранных статусов.

  - ### serializePart

    protected void serializePart​(org.w3c.dom.Element element)
    Specified by:
      `serializePart` in class `DispatchCondition`

  - ### deserializePart

    protected void deserializePart​(org.w3c.dom.Element element)
    Specified by:
      `deserializePart` in class `DispatchCondition`